library(pheatmap)

#data <- data.frame(A = rnorm(100), B = rnorm(100), C = rnorm(100))
#print(data)

data <- read.table("test.csv", header=T, row.names=1, sep=",")
write.table(data, "out.txt", quote=F, col.names=F)
write.table(data + 0.5, "out_log.txt", quote=F, col.names=F)

pdf("out.pdf")
heatmap <- pheatmap(data, color = colorRampPalette(c("blue", "gray88", "red"))(4),
                    clustering_method = "ward.D2",
                    clustering_distance_rows = "correlation",
                    clustering_distance_cols = "correlation", 
                    fontsize = 20, show_rownames = F, cutree_rows = 4)
dev.off()
